> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paymnt.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Profile Acquirer - Create

> Create a new Profile Acquirer for accessing our APIs from your servers.



## OpenAPI

````yaml public/openapi.json post /profile_acquirers
openapi: 3.0.3
info:
  title: PaymntCloud - API Documentation
  description: >

    ## Get started


    PaymntCloud provides a collection of APIs that enable you to process and
    manage payments.

    Our APIs accept and return JSON in the HTTP body, and return standard HTTP
    response codes.


    You can consume the APIs directly using your favorite HTTP/REST library.


    We have a testing environment referred to "sandbox", which you can setup to
    test API calls without

    affecting production data.

    Currently, our sandbox environment is live while our production environment
    is under development

    and will be available soon.

    You can sign up on our Dashboard to get API keys to access PaymntCloud API.


    ### Environment


    Use the following base URLs when making requests to the APIs:


    | Environment   |  Base URL                          |

    |---------------|------------------------------------|

    | Sandbox       | <https://sandbox.paymnt.cloud>   |

    | Production    | <https://api.paymnt.cloud>       |


    ## Authentication


    When you sign up on our [dashboard](https://dash.paymnt.cloud) and create a
    merchant

    account, you are given a secret key (also referred as api-key) and a
    publishable key.

    You may authenticate all API requests with PaymntCloud server by providing
    the appropriate key in

    the request Authorization header.


    | Key             | 
    Description                                                                                 
    |

    |-----------------|-----------------------------------------------------------------------------------------------|

    | api-key         | Private key. Used to authenticate all API requests from
    your merchant server                  |

    | publishable key | Unique identifier for your account. Used to authenticate
    API requests from your app's client  |


    Never share your secret api keys. Keep them guarded and secure.
  contact:
    name: PaymntCloud Support
    url: https://paymnt.cloud
    email: support@paymnt.cloud
  license:
    name: Apache-2.0
  version: 0.1.0
servers:
  - url: https://api.paymnt.cloud
    description: Production Environment
  - url: https://sandbox.paymnt.cloud
    description: Sandbox Environment
security: []
tags:
  - name: Merchant Account
    description: Create and manage merchant accounts
  - name: Profile
    description: Create and manage profiles
  - name: Merchant Connector Account
    description: Create and manage merchant connector accounts
  - name: Payments
    description: Create and manage one-time payments, recurring payments and mandates
  - name: Refunds
    description: Create and manage refunds for successful payments
  - name: Mandates
    description: Manage mandates
  - name: Customers
    description: Create and manage customers
  - name: Payment Methods
    description: Create and manage payment methods of customers
  - name: Disputes
    description: Manage disputes
  - name: API Key
    description: Create and manage API Keys
  - name: Payouts
    description: Create and manage payouts
  - name: payment link
    description: Create payment link
  - name: Routing
    description: Create and manage routing configurations
  - name: Event
    description: Manage events
  - name: Authentication
    description: Create and manage authentication
paths:
  /profile_acquirers:
    post:
      tags:
        - Profile Acquirer
      summary: Profile Acquirer - Create
      description: Create a new Profile Acquirer for accessing our APIs from your servers.
      operationId: Create a Profile Acquirer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProfileAcquirerCreate'
        required: true
      responses:
        '200':
          description: Profile Acquirer created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileAcquirerResponse'
        '400':
          description: Invalid data
      security:
        - api_key: []
components:
  schemas:
    ProfileAcquirerCreate:
      type: object
      required:
        - acquirer_assigned_merchant_id
        - merchant_name
        - network
        - acquirer_bin
        - acquirer_fraud_rate
        - profile_id
      properties:
        acquirer_assigned_merchant_id:
          type: string
          description: The merchant id assigned by the acquirer
          example: M123456789
        merchant_name:
          type: string
          description: merchant name
          example: NewAge Retailer
        network:
          type: string
          description: Network provider
          example: VISA
        acquirer_bin:
          type: string
          description: Acquirer bin
          example: '456789'
        acquirer_ica:
          type: string
          description: Acquirer ica provided by acquirer
          example: '401288'
          nullable: true
        acquirer_fraud_rate:
          type: number
          format: double
          description: Fraud rate for the particular acquirer configuration
          example: 0.01
        profile_id:
          type: string
          description: Parent profile id to link the acquirer account with
          example: pro_ky0yNyOXXlA5hF8JzE5q
    ProfileAcquirerResponse:
      type: object
      required:
        - profile_acquirer_id
        - acquirer_assigned_merchant_id
        - merchant_name
        - network
        - acquirer_bin
        - acquirer_fraud_rate
        - profile_id
      properties:
        profile_acquirer_id:
          type: string
          description: The unique identifier of the profile acquirer
          example: pro_acq_LCRdERuylQvNQ4qh3QE0
        acquirer_assigned_merchant_id:
          type: string
          description: The merchant id assigned by the acquirer
          example: M123456789
        merchant_name:
          type: string
          description: Merchant name
          example: NewAge Retailer
        network:
          type: string
          description: Network provider
          example: VISA
        acquirer_bin:
          type: string
          description: Acquirer bin
          example: '456789'
        acquirer_ica:
          type: string
          description: Acquirer ica provided by acquirer
          example: '401288'
          nullable: true
        acquirer_fraud_rate:
          type: number
          format: double
          description: Fraud rate for the particular acquirer configuration
          example: 0.01
        profile_id:
          type: string
          description: Parent profile id to link the acquirer account with
          example: pro_ky0yNyOXXlA5hF8JzE5q
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api-key
      description: >-
        Use the API key created under your merchant account from the PaymntCloud
        dashboard. API key is used to authenticate API requests from your
        merchant server only. Don't expose this key on a website or embed it in
        a mobile application.

````